> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all intelligence reports for a specific vendor



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs get /api/v1/external-intelligence-reports/vendor/{vendorDomain}
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/external-intelligence-reports/vendor/{vendorDomain}:
    get:
      tags:
        - client-api-external-intelligence-report-rest-resource
      summary: Get all intelligence reports for a specific vendor
      operationId: getIntelligenceReportsByVendor
      parameters:
        - name: vendorDomain
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalIntelligenceReportClientView'
components:
  schemas:
    ExternalIntelligenceReportClientView:
      type: object
      properties:
        id:
          type: string
          format: uuid
        clientOrgId:
          type: integer
          format: int64
        clientOrgName:
          type: string
        vendorOrgId:
          type: integer
          format: int64
        vendorOrgName:
          type: string
        vendorOrgDescription:
          type: string
        vendorOrgFaviconUrl:
          type: string
        source:
          type: string
          enum:
            - SECURITY_SCORECARD
            - BITSIGHT
            - RECORDED_FUTURE
        reportDate:
          type: string
          format: date-time
        link:
          type: string
        rating:
          type: string
        typeName:
          type: string
        guid:
          type: string
        customId:
          type: string
        name:
          type: string
        description:
          type: string
        primaryDomain:
          type: string
        ratingRange:
          type: string
        ratingColor:
          type: string
        confidence:
          type: string
        ratingValue:
          type: integer
          format: int32
        grade:
          type: string
        domain:
          type: string
        score:
          type: integer
          format: int32
        triggeredRuleCount:
          type: integer
          format: int32
        maxRuleCount:
          type: integer
          format: int32
        firstSeen:
          type: string
          format: date-time
        lastSeen:
          type: string
          format: date-time
        criticalityLabel:
          type: string

````